import { ChangeDetectorRef, OnInit, OnChanges } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { SchemaArray } from '../abstracts/SchemaArray';
import { ParsedField } from '../models/ParsedField';
export declare class SchemaTableComponent extends SchemaArray implements OnInit, OnChanges {
    changeRef: ChangeDetectorRef;
    localControlValue: any;
    private _label;
    label: string;
    readonly isField: boolean;
    _onRowAdd(event: CustomEvent): void;
    _onRowRemove(event: CustomEvent): void;
    readonly fieldItemPropertyHeaders: string[];
    readonly fieldItemPropertiesKeys: string[];
    constructor(changeRef: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnChanges(): void;
    getDataType(def: ParsedField): any;
    getClasses(def: ParsedField): any;
    proxyRowAdd(table: any, index: any): void;
    proxyRowRemove(table: any, index: any): void;
    protected newItem(): FormGroup;
    protected acknowledgeChange(): void;
}
